CREATE TABLE hqz_model_entity (
    ID                     NUMBER(18, 0),
    FEATURE_ID             NUMBER(18, 0)    NOT NULL,
    ENTITY_NAME            VARCHAR2(400),
    ENTITY_TYPE            VARCHAR2(400),
    ENTITY_EXTRACT_TYPE    VARCHAR2(400),
    ACTION_PARAM           VARCHAR2(400),
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    ID                     NUMBER(18, 0),
    FEATURE_ID             NUMBER(18, 0)    NOT NULL,
    ENTITY_NAME            VARCHAR2(400),
    ENTITY_TYPE            VARCHAR2(400),
    ENTITY_EXTRACT_TYPE    VARCHAR2(400),
    ACTION_PARAM           VARCHAR2(400),
    CREATION_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY        VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE       TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN      VARCHAR2(128),
    CREATED_BY             VARCHAR2(256)    NOT NULL,
    CONSTRAINT pk_hqz_model_entity PRIMARY KEY (ID, ID)
);
